Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.base
Class JRBaseFont

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseFont

All Implemented Interfaces:
  java.io.Serializable, JRChangeEventsSupport, JRFont, JRStyleContainer

Direct Known Subclasses:
  JRBaseReportFont, JRDesignFont

    public class JRBaseFont

extends java.lang.Object
implements JRFont, java.io.Serializable, JRChangeEventsSupport

Version:
  $Id: JRBaseFont.java 3939 2010-08-20 09:52:00Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected JRDefaultFontProvider` | `defaultFontProvider`
`protected java.lang.String` | `fontName`
`protected java.lang.Integer` | `fontSize`
`protected java.lang.Boolean` | `isBold`
`protected java.lang.Boolean` | `isItalic`
`protected java.lang.Boolean` | `isPdfEmbedded`
`protected java.lang.Boolean` | `isStrikeThrough`
`protected java.lang.Boolean` | `isUnderline`
`protected java.lang.String` | `pdfEncoding`
`protected java.lang.String` | `pdfFontName`
`static java.lang.String` | `PROPERTY_BOLD`
`static java.lang.String` | `PROPERTY_FONT_NAME`
`static java.lang.String` | `PROPERTY_FONT_SIZE`
`static java.lang.String` | `PROPERTY_ITALIC`
`static java.lang.String` | `PROPERTY_PDF_EMBEDDED`
`static java.lang.String` | `PROPERTY_PDF_ENCODING`
`static java.lang.String` | `PROPERTY_PDF_FONT_NAME`
`static java.lang.String` | `PROPERTY_REPORT_FONT`
`static java.lang.String` | `PROPERTY_STRIKE_THROUGH`
`static java.lang.String` | `PROPERTY_UNDERLINE`
`protected JRReportFont` | `reportFont`
`protected JRStyleContainer` | `styleContainer`

Fields inherited from interface net.sf.jasperreports.engine.JRFont
`DEFAULT_FONT_NAME, DEFAULT_FONT_SIZE, DEFAULT_PDF_EMBEDDED, DEFAULT_PDF_ENCODING, DEFAULT_PDF_FONT_NAME`

Constructor Summary
`` | `JRBaseFont()`
`protected` | `JRBaseFont(JRDefaultFontProvider defaultFontProvider)` Deprecated. To be removed in future versions.
`` | `JRBaseFont(JRDefaultFontProvider defaultFontProvider, JRReportFont reportFont, JRFont font)` Deprecated. To be removed in future versions.
`` | `JRBaseFont(JRDefaultFontProvider defaultFontProvider, JRReportFont reportFont, JRStyleContainer styleContainer, JRFont font)` Deprecated. To be removed in future versions.
`` | `JRBaseFont(JRStyleContainer styleContainer, JRFont font)`
`` | `JRBaseFont(java.util.Map attributes)`

Method Summary
`JRDefaultFontProvider` | `getDefaultFontProvider()`
`JRDefaultStyleProvider` | `getDefaultStyleProvider()`
`JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
`java.lang.String` | `getFontName()`
`int` | `getFontSize()`
`java.lang.String` | `getOwnFontName()`
`java.lang.Integer` | `getOwnFontSize()`
`java.lang.String` | `getOwnPdfEncoding()`
`java.lang.String` | `getOwnPdfFontName()`
`java.lang.Integer` | `getOwnSize()` Deprecated. Replaced by `getOwnFontSize()`.
`java.lang.String` | `getPdfEncoding()`
`java.lang.String` | `getPdfFontName()`
`JRReportFont` | `getReportFont()`
`int` | `getSize()` Deprecated. Replaced by `getFontSize()`.
`JRStyle` | `getStyle()` Returns this object's style.
`java.lang.String` | `getStyleNameReference()` Returns the name of an external style which is to be used by this object.
`boolean` | `isBold()`
`boolean` | `isItalic()`
`java.lang.Boolean` | `isOwnBold()`
`java.lang.Boolean` | `isOwnItalic()`
`java.lang.Boolean` | `isOwnPdfEmbedded()`
`java.lang.Boolean` | `isOwnStrikeThrough()`
`java.lang.Boolean` | `isOwnUnderline()`
`boolean` | `isPdfEmbedded()`
`boolean` | `isStrikeThrough()`
`boolean` | `isUnderline()`
`void` | `setBold(boolean isBold)`
`void` | `setBold(java.lang.Boolean isBold)` Alternative setBold method which allows also to reset the "own" isBold property.
`void` | `setFontName(java.lang.String fontName)`
`void` | `setFontSize(int fontSize)`
`void` | `setFontSize(java.lang.Integer fontSize)` Alternative setSize method which allows also to reset the "own" size property.
`void` | `setItalic(boolean isItalic)`
`void` | `setItalic(java.lang.Boolean isItalic)` Alternative setItalic method which allows also to reset the "own" isItalic property.
`void` | `setPdfEmbedded(boolean isPdfEmbedded)`
`void` | `setPdfEmbedded(java.lang.Boolean isPdfEmbedded)` Alternative setPdfEmbedded method which allows also to reset the "own" isPdfEmbedded property.
`void` | `setPdfEncoding(java.lang.String pdfEncoding)`
`void` | `setPdfFontName(java.lang.String pdfFontName)`
`void` | `setReportFont(JRReportFont reportFont)`
`void` | `setSize(int size)` Deprecated. Replaced by `setFontSize(int)`.
`void` | `setSize(java.lang.Integer size)` Deprecated. Replaced by `setFontSize(Integer)`.
`void` | `setStrikeThrough(boolean isStrikeThrough)`
`void` | `setStrikeThrough(java.lang.Boolean isStrikeThrough)` Alternative setStrikeThrough method which allows also to reset the "own" isStrikeThrough property.
`void` | `setUnderline(boolean isUnderline)`
`void` | `setUnderline(java.lang.Boolean isUnderline)` Alternative setUnderline method which allows also to reset the "own" isUnderline property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_BOLD

    public static final java.lang.String PROPERTY_BOLD

See Also:
  Constant Field Values

### PROPERTY_FONT_NAME

    public static final java.lang.String PROPERTY_FONT_NAME

See Also:
  Constant Field Values

### PROPERTY_FONT_SIZE

    public static final java.lang.String PROPERTY_FONT_SIZE

See Also:
  Constant Field Values

### PROPERTY_ITALIC

    public static final java.lang.String PROPERTY_ITALIC

See Also:
  Constant Field Values

### PROPERTY_PDF_EMBEDDED

    public static final java.lang.String PROPERTY_PDF_EMBEDDED

See Also:
  Constant Field Values

### PROPERTY_PDF_ENCODING

    public static final java.lang.String PROPERTY_PDF_ENCODING

See Also:
  Constant Field Values

### PROPERTY_PDF_FONT_NAME

    public static final java.lang.String PROPERTY_PDF_FONT_NAME

See Also:
  Constant Field Values

### PROPERTY_REPORT_FONT

    public static final java.lang.String PROPERTY_REPORT_FONT

See Also:
  Constant Field Values

### PROPERTY_STRIKE_THROUGH

    public static final java.lang.String PROPERTY_STRIKE_THROUGH

See Also:
  Constant Field Values

### PROPERTY_UNDERLINE

    public static final java.lang.String PROPERTY_UNDERLINE

See Also:
  Constant Field Values

### defaultFontProvider

    protected JRDefaultFontProvider defaultFontProvider

### reportFont

    protected JRReportFont reportFont

### styleContainer

    protected JRStyleContainer styleContainer

### fontName

    protected java.lang.String fontName

### isBold

    protected java.lang.Boolean isBold

### isItalic

    protected java.lang.Boolean isItalic

### isUnderline

    protected java.lang.Boolean isUnderline

### isStrikeThrough

    protected java.lang.Boolean isStrikeThrough

### fontSize

    protected java.lang.Integer fontSize

### pdfFontName

    protected java.lang.String pdfFontName

### pdfEncoding

    protected java.lang.String pdfEncoding

### isPdfEmbedded

    protected java.lang.Boolean isPdfEmbedded

Constructor Detail

### JRBaseFont

    public JRBaseFont()

### JRBaseFont

    public JRBaseFont(java.util.Map attributes)

### JRBaseFont

    protected JRBaseFont(JRDefaultFontProvider defaultFontProvider)

  Deprecated. To be removed in future versions.

### JRBaseFont

    public JRBaseFont(JRDefaultFontProvider defaultFontProvider,
                      JRReportFont reportFont,
                      JRFont font)

  Deprecated. To be removed in future versions.

### JRBaseFont

    public JRBaseFont(JRStyleContainer styleContainer,
                      JRFont font)

### JRBaseFont

    public JRBaseFont(JRDefaultFontProvider defaultFontProvider,
                      JRReportFont reportFont,
                      JRStyleContainer styleContainer,
                      JRFont font)

  Deprecated. To be removed in future versions.

Method Detail

### getDefaultFontProvider

    public JRDefaultFontProvider getDefaultFontProvider()

### getDefaultStyleProvider

    public JRDefaultStyleProvider getDefaultStyleProvider()

  Specified by:
    `getDefaultStyleProvider` in interface `JRStyleContainer`

### getStyle

    public JRStyle getStyle()

  Description copied from interface: `JRStyleContainer`
  Returns this object's style.

  Specified by:
    `getStyle` in interface `JRStyleContainer`
  Returns:
    this object's style

### getReportFont

    public JRReportFont getReportFont()

  Specified by:
    `getReportFont` in interface `JRFont`

### setReportFont

    public void setReportFont(JRReportFont reportFont)

  Specified by:
    `setReportFont` in interface `JRFont`

### getFontName

    public java.lang.String getFontName()

  Specified by:
    `getFontName` in interface `JRFont`

### getOwnFontName

    public java.lang.String getOwnFontName()

  Specified by:
    `getOwnFontName` in interface `JRFont`

### setFontName

    public void setFontName(java.lang.String fontName)

  Specified by:
    `setFontName` in interface `JRFont`

### isBold

    public boolean isBold()

  Specified by:
    `isBold` in interface `JRFont`

### isOwnBold

    public java.lang.Boolean isOwnBold()

  Specified by:
    `isOwnBold` in interface `JRFont`

### setBold

    public void setBold(boolean isBold)

  Specified by:
    `setBold` in interface `JRFont`

### setBold

    public void setBold(java.lang.Boolean isBold)

  Alternative setBold method which allows also to reset the "own" isBold property.

  Specified by:
    `setBold` in interface `JRFont`

### isItalic

    public boolean isItalic()

  Specified by:
    `isItalic` in interface `JRFont`

### isOwnItalic

    public java.lang.Boolean isOwnItalic()

  Specified by:
    `isOwnItalic` in interface `JRFont`

### setItalic

    public void setItalic(boolean isItalic)

  Specified by:
    `setItalic` in interface `JRFont`

### setItalic

    public void setItalic(java.lang.Boolean isItalic)

  Alternative setItalic method which allows also to reset the "own" isItalic property.

  Specified by:
    `setItalic` in interface `JRFont`

### isUnderline

    public boolean isUnderline()

  Specified by:
    `isUnderline` in interface `JRFont`

### isOwnUnderline

    public java.lang.Boolean isOwnUnderline()

  Specified by:
    `isOwnUnderline` in interface `JRFont`

### setUnderline

    public void setUnderline(boolean isUnderline)

  Specified by:
    `setUnderline` in interface `JRFont`

### setUnderline

    public void setUnderline(java.lang.Boolean isUnderline)

  Alternative setUnderline method which allows also to reset the "own" isUnderline property.

  Specified by:
    `setUnderline` in interface `JRFont`

### isStrikeThrough

    public boolean isStrikeThrough()

  Specified by:
    `isStrikeThrough` in interface `JRFont`

### isOwnStrikeThrough

    public java.lang.Boolean isOwnStrikeThrough()

  Specified by:
    `isOwnStrikeThrough` in interface `JRFont`

### setStrikeThrough

    public void setStrikeThrough(boolean isStrikeThrough)

  Specified by:
    `setStrikeThrough` in interface `JRFont`

### setStrikeThrough

    public void setStrikeThrough(java.lang.Boolean isStrikeThrough)

  Alternative setStrikeThrough method which allows also to reset the "own" isStrikeThrough property.

  Specified by:
    `setStrikeThrough` in interface `JRFont`

### getFontSize

    public int getFontSize()

  Specified by:
    `getFontSize` in interface `JRFont`

### getOwnFontSize

    public java.lang.Integer getOwnFontSize()

  Specified by:
    `getOwnFontSize` in interface `JRFont`

### setFontSize

    public void setFontSize(int fontSize)

  Specified by:
    `setFontSize` in interface `JRFont`

### setFontSize

    public void setFontSize(java.lang.Integer fontSize)

  Alternative setSize method which allows also to reset the "own" size property.

  Specified by:
    `setFontSize` in interface `JRFont`

### getSize

    public int getSize()

  Deprecated. Replaced by `getFontSize()`.

  Specified by:
    `getSize` in interface `JRFont`

### getOwnSize

    public java.lang.Integer getOwnSize()

  Deprecated. Replaced by `getOwnFontSize()`.

  Specified by:
    `getOwnSize` in interface `JRFont`

### setSize

    public void setSize(int size)

  Deprecated. Replaced by `setFontSize(int)`.

  Specified by:
    `setSize` in interface `JRFont`

### setSize

    public void setSize(java.lang.Integer size)

  Deprecated. Replaced by `setFontSize(Integer)`.

  Specified by:
    `setSize` in interface `JRFont`

### getPdfFontName

    public java.lang.String getPdfFontName()

  Specified by:
    `getPdfFontName` in interface `JRFont`

### getOwnPdfFontName

    public java.lang.String getOwnPdfFontName()

  Specified by:
    `getOwnPdfFontName` in interface `JRFont`

### setPdfFontName

    public void setPdfFontName(java.lang.String pdfFontName)

  Specified by:
    `setPdfFontName` in interface `JRFont`

### getPdfEncoding

    public java.lang.String getPdfEncoding()

  Specified by:
    `getPdfEncoding` in interface `JRFont`

### getOwnPdfEncoding

    public java.lang.String getOwnPdfEncoding()

  Specified by:
    `getOwnPdfEncoding` in interface `JRFont`

### setPdfEncoding

    public void setPdfEncoding(java.lang.String pdfEncoding)

  Specified by:
    `setPdfEncoding` in interface `JRFont`

### isPdfEmbedded

    public boolean isPdfEmbedded()

  Specified by:
    `isPdfEmbedded` in interface `JRFont`

### isOwnPdfEmbedded

    public java.lang.Boolean isOwnPdfEmbedded()

  Specified by:
    `isOwnPdfEmbedded` in interface `JRFont`

### setPdfEmbedded

    public void setPdfEmbedded(boolean isPdfEmbedded)

  Specified by:
    `setPdfEmbedded` in interface `JRFont`

### setPdfEmbedded

    public void setPdfEmbedded(java.lang.Boolean isPdfEmbedded)

  Alternative setPdfEmbedded method which allows also to reset the "own" isPdfEmbedded property.

  Specified by:
    `setPdfEmbedded` in interface `JRFont`

### getStyleNameReference

    public java.lang.String getStyleNameReference()

  Description copied from interface: `JRStyleContainer`
  Returns the name of an external style which is to be used by this object.

  External styles are defined in `templates` and are resolved at fill time. This attribute is only effective if no direct style (as returned by `getStyle()` is specified for this object.

  Specified by:
    `getStyleNameReference` in interface `JRStyleContainer`
  Returns:
    the name of an external style

### getEventSupport

    public JRPropertyChangeSupport getEventSupport()

  Description copied from interface: `JRChangeEventsSupport`
  Returns the property change support object for this instance.

  Specified by:
    `getEventSupport` in interface `JRChangeEventsSupport`
  Returns:
    the property change support object for this instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com